Subject: Re: bug#10056: 24.0.91; Mark deactivation

From: Dani Moncayo <[email-masked]>
Date: Sat, 8 Dec 2012 11:09:27 +0100

> As I pointed out previously in this thread, the mark should be
> deactivated (in general - there can be some exceptions) after any
> command that operates on the active region.  Not doing so is annoying,
> because the mark must be deactivated in that cases manually by typing
> `C-g'.
>
> There are still cases where I observe this misbehavior.  Namely:
>
>   kill-region [1]
>   kill-rectangle [1]

>   prepend-to-register
>   append-to-register

I forgot to mention, for the two above commands, that the use case is
"when invoked with a prefix argument, from a read-only buffer."
(regardless of the value of `kill-read-only-ok', which doesn't seem to
have any effect on them).

>   narrow-to-region [2]
>   c-indent-line-or-region [3]
>   delete-duplicate-lines [3]
>   delete-matching-lines [3]
>   delete-non-matching-lines [3]
>   delete-blank-lines [3]

Add "fill-paragraph [3]" to the above list.  Important use-case.

> --- Footnotes ---
>
> [1] From a read-only buffer, having `kill-read-only-ok' set to nil.
> Note that the command does its job in this case, but the mark still
> remains active.  Not TRT IMO.
> [2] According to Chong, in this case perhaps the mark deactivation
> should be made only when the call is interactive.
> [3] When the command doesn't alter the buffer text.

-- 
Dani Moncayo